> ## Documentation Index
> Fetch the complete documentation index at: https://docs.augustus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook subscriptions

> Lists all webhook subscriptions that are registered for the merchant. The results are paginated and provided in chronological order.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/getivy/openapi.documented.yml post /api/service/webhook-subscription/list
openapi: 3.0.0
info:
  title: Ivy API
  description: Ivy API schema
  version: '1.0'
  contact:
    name: Ivy
    url: https://www.getivy.io
    email: help@getivy.io
servers:
  - url: https://api.getivy.de
    description: Production
  - url: https://api.sand.getivy.de
    description: Sandbox
security: []
tags: []
paths:
  /api/service/webhook-subscription/list:
    post:
      tags:
        - Webhook-Subscription
      summary: List webhook subscriptions
      description: >-
        Lists all webhook subscriptions that are registered for the merchant.
        The results are paginated and provided in chronological order.
      operationId: WebhookSubscriptionController_list
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListRequestDto'
      responses:
        '200':
          description: Returns a list of webhook subscriptions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponseDto'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Ivy from '@getivy/node-sdk';

            const client = new Ivy({
              apiKey: process.env['IVY_API_KEY'], // This is the default and can be omitted
            });

            const subscriptions = await client.webhook.subscription.list();

            console.log(subscriptions.count);
components:
  schemas:
    ListRequestDto:
      type: object
      properties:
        limit:
          description: The maximum number of webhook subscriptions to return
          type: number
          minimum: 0
          exclusiveMinimum: false
          maximum: 20
          exclusiveMaximum: false
        skip:
          description: The number of webhook subscriptions to skip
          type: number
          minimum: 0
          exclusiveMinimum: false
    ListResponseDto:
      type: object
      properties:
        items:
          description: Array of webhook subscription objects
          type: array
          items:
            type: object
            properties:
              id: {}
              merchant: {}
              merchantApp: {}
              url:
                type: string
              events:
                type: array
                items:
                  type: string
                  enum:
                    - test
                    - merchant_updated
                    - merchant_app_updated
                    - order_created
                    - order_updated
                    - refund_succeeded
                    - refund_failed
                    - refund.initiated
                    - refund.succeeded
                    - refund.failed
                    - payout_report_requested
                    - data_session_completed
                    - checkout_session_created
                    - checkout_session_updated
                    - checkout_session_expired
                    - checkout_session_completed
                    - payout_created
                    - payout_updated
                    - user_payout.initiated
                    - user_payout.failed
                    - user_payout.paid
                    - payout.initiated
                    - payout.failed
                    - payout.paid
                    - deposit.received
                    - return.initiated
                    - return.succeeded
                    - return.failed
                    - return.returned
                    - fx.initiated
                    - fx.succeeded
                    - fx.failed
                  x-enumNames:
                    - Test
                    - MerchantUpdated
                    - MerchantAppUpdated
                    - OrderCreated
                    - OrderUpdated
                    - LegacyRefundSucceeded
                    - LegacyRefundFailed
                    - RefundInitiatedV2
                    - RefundSucceededV2
                    - RefundFailedV2
                    - PayoutReportRequested
                    - DataSessionCompleted
                    - CheckoutSessionCreated
                    - CheckoutSessionUpdated
                    - CheckoutSessionExpired
                    - CheckoutSessionCompleted
                    - MerchantPayoutCreated
                    - MerchantPayoutUpdated
                    - UserPayoutInitiated
                    - UserPayoutFailed
                    - UserPayoutPaid
                    - PayoutInitiated
                    - PayoutFailed
                    - PayoutPaid
                    - DepositReceived
                    - ReturnInitiated
                    - ReturnSucceeded
                    - ReturnFailed
                    - ReturnReturned
                    - FxInitiated
                    - FxSucceeded
                    - FxFailed
              createdAt: {}
              updatedAt: {}
            required:
              - id
              - merchant
              - merchantApp
              - url
              - events
              - createdAt
              - updatedAt
        skip:
          description: The number of webhook subscriptions skipped
          type: number
          minimum: 0
          exclusiveMinimum: false
        hasNext:
          description: Whether there are more webhook subscriptions to retrieve
          type: boolean
        count:
          description: The total number of webhook subscriptions
          type: number
          minimum: -1
          exclusiveMinimum: false
      required:
        - items
        - skip
        - hasNext
        - count
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Ivy-Api-Key
      description: API key for authentication

````